- Qt 6.8
- Qt Wayland Compositor
- QML Types
- WaylandClient
- Qt Wayland Compositor | Commercial or GPLv3

# WaylandClient QML Type

Represents a client connecting to the WaylandCompositor. More...

Import Statement: | `import QtWayland.Compositor`
In C++: | QWaylandClient

- List of all members, including inherited members

## Properties

- compositor : WaylandCompositor
- groupId : int
- processId : int
- userId : int

## Methods

- void close()
- void kill(signal)

## Detailed Description

This type represents a client connecting to the compositor using the Wayland protocol. It corresponds to the Wayland interface wl_client.

## Property Documentation

compositor : WaylandCompositor `[read-only]`

This property holds the compositor of this WaylandClient.

groupId : int `[read-only]`

This property holds the group id of this WaylandClient.

processId : int `[read-only]`

This property holds the process id of this WaylandClient.

userId : int `[read-only]`

This property holds the user id of this WaylandClient.

## Method Documentation

void close()

Closes the client

void kill(signal)

Kills the client with the specified signal.